servermon::ServerMonitor_2_0_1::ServerPowerSettings Struct Reference

Settings for controlling and checking power state of the server. More...

`import"ServerMonitor.idl";`

## Public Attributes

boolean | enabled
| Power control for this server enabled.
Object | target
| Target for power control, Outlet or OutletGroup.
ServerPowerCheckMethod | powerCheck
| Method to check server's power state.
double | powerThreshold
| Active power below this threshold means server is off (in Watt)
int | timeout
| Seconds the power check takes before it ends / times out.
string | shutdownCmd
| Shutdown command to send to the server.
string | username
| Login used to issue shutdown command to the server.
string | password
| Password for the login, write-only, not set if empty.
int | sshPort
| SSH port of the server.

## Detailed Description

Settings for controlling and checking power state of the server.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/ServerMonitor.idl